### Method

# FwupdPlugin SecurityAttrs calculate_hsi

since: 1.5.0

#### Declaration [src]

    gchar*
    fu_security_attrs_calculate_hsi (
      FuSecurityAttrs* self,
      FuSecurityAttrsFlags flags
    )

#### Description [src]

Calculates the HSI string from the appended attributes.

Available since: 1.5.0

#### Parameters

`flags`

  Type: `FuSecurityAttrsFlags`

  HSI attribute flags.

#### Return value

Type: `gchar*`

A string or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.